Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039058
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSminorN/A2018-07-26 17:042018-09-05 18:15
ReporterjonibcView Statuspublic 
Assigned Toaaroncalero 
PriorityhighResolutionopenFixed in Version
StatusnewFix in branchFixed in SCM revision4eb511fa19a9
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039058: Add preference to hide entry menu for cancel and replace if has payments

DescriptionThere will be a new preference to show the “Cancel and Replace” action in the menu only if the document has any payment.
Steps To ReproduceN/A
Proposed SolutionAttached diff
TagsNo tags attached.
Attached Filesdiff file icon Issue39058.diff [^] (3,946 bytes) 2018-07-26 17:05 [Show Content]
diff file icon Issue39058tests.diff [^] (7,169 bytes) 2018-07-27 09:06 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0105985)
hgbot (developer)
2018-07-27 12:03

Repository: tools/automation/pi-mobile
Changeset: ed509ddf418d931b7bbdcf0d0a21a3a8dc642053
Author: Jonathan Bueno <jonathan.bueno <at> openbravo.com>
Date: Fri Jul 27 12:03:25 2018 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/ed509ddf418d931b7bbdcf0d0a21a3a8dc642053 [^]

Related to issue 39058: Add preference to hide entry menu for cancel and replace if not payments

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I39058_CancelAndRplcHideButtonIfNotPayments.java
---
(0105986)
hgbot (developer)
2018-07-27 12:03

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 4eb511fa19a9e0635416241502a100bc0ec8cb08
Author: Jonathan Bueno <jonathan.bueno <at> openbravo.com>
Date: Fri Jul 27 12:02:45 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4eb511fa19a9e0635416241502a100bc0ec8cb08 [^]

Fixed issue 39058: Add preference to hide entry menu for cancel and replace if not payments

---
M src-db/database/sourcedata/AD_PREFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M web/org.openbravo.retail.posterminal/js/components/menu.js
---
(0106362)
hgbot (developer)
2018-08-16 14:08

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 63bb85b6668577a6569d5d289c2b4edac33b8d99
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Thu Aug 16 14:07:48 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/63bb85b6668577a6569d5d289c2b4edac33b8d99 [^]

Related to issue 39058: Renamed preference to match Web POS Standard

---
M src-db/database/sourcedata/AD_REF_LIST.xml
---
(0106364)
hgbot (developer)
2018-08-16 14:41

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b98bf76e4898c27687bcae6b3a8d7d62e53d4e25
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Thu Aug 16 14:41:45 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b98bf76e4898c27687bcae6b3a8d7d62e53d4e25 [^]

Related to issue 39058: Renamed preference to match Web POS Standard

---
M src-db/database/sourcedata/AD_REF_LIST.xml
---
(0106607)
guillermogil (manager)
2018-09-05 14:44

Reopened as functionality is wrong

- Issue History
Date Modified Username Field Change
2018-07-26 17:04 jonibc New Issue
2018-07-26 17:04 jonibc Assigned To => jonibc
2018-07-26 17:04 jonibc Triggers an Emergency Pack => No
2018-07-26 17:05 jonibc File Added: Issue39058.diff
2018-07-27 09:06 jonibc File Added: Issue39058tests.diff
2018-07-27 12:03 hgbot Checkin
2018-07-27 12:03 hgbot Note Added: 0105985
2018-07-27 12:03 hgbot Checkin
2018-07-27 12:03 hgbot Note Added: 0105986
2018-07-27 12:03 hgbot Status new => resolved
2018-07-27 12:03 hgbot Resolution open => fixed
2018-07-27 12:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4eb511fa19a9e0635416241502a100bc0ec8cb08 [^]
2018-07-27 12:04 jonibc Review Assigned To => marvintm
2018-08-16 14:08 hgbot Checkin
2018-08-16 14:08 hgbot Note Added: 0106362
2018-08-16 14:18 marvintm Status resolved => closed
2018-08-16 14:18 marvintm Fixed in Version => RR18Q4
2018-08-16 14:41 hgbot Checkin
2018-08-16 14:41 hgbot Note Added: 0106364
2018-09-05 14:44 guillermogil Assigned To jonibc => guillermogil
2018-09-05 14:44 guillermogil Note Added: 0106607
2018-09-05 14:44 guillermogil Status closed => new
2018-09-05 14:44 guillermogil Resolution fixed => open
2018-09-05 14:44 guillermogil Fixed in Version RR18Q4 =>
2018-09-05 14:45 guillermogil Summary Add preference to hide entry menu for cancel and replace if not payments => Add preference to hide entry menu for cancel and replace if has payments
2018-09-05 14:45 guillermogil Description Updated View Revisions
2018-09-05 18:15 aaroncalero Assigned To guillermogil => aaroncalero


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker